Error starting modern compiler in Ant and Eclipse

SHARE & COMMENT :

Eclipse and ANT Build Tool Error

You would have come across this compiler error (error starting modern compiler) in many times during the developement. This error occirs when the actual Java runtime loaded by the environment and another tool is pointing to the differenet Java run time. This tips explains with example if this error occirs when you are trying to run the Ant build tool inside eclipse. The following are the screenshots which explains where you need to check and change it.

Here the jre selection must be the same as your eclipse is used for running the application. If its is different, you will get error starting modern compiler

Comments

comments

Speak Your Mind

*

Close
Please support the site
By clicking any of these buttons you help our site to get better